View Single Post
  #9  
Old 22nd February 2008, 08:21
karapuz karapuz is offline
Junior Member
 
Join Date: Feb 2008
Posts: 1
Thanks: 0
Thanked 1 Time in 1 Post
Default compat-gcc-32 workaround in Fedora Core 4 (and possible elsewhere)

I was hitting the same problem in FC4.
The only ways to upgrade gcc are to upgrade to FC7 or FC8 using yum (too scarry for me)
or compile GCC from source (this also might hit the GCC bug, so GCC would need to be compiled with gcc compat 3.2)

I desided to give it a try compiling clamav using gcc compat 3.2, seems to work fine so far.
compat-gcc-32.x86_64 3.2.3-47.fc4 installed
compat-gcc-32-c++.x86_64 3.2.3-47.fc4 installed

Just run the following before configure:

export CC=gcc32

then just as you would build it regulary
./configure
make
make install
Reply With Quote